1. Mobile SMS Messaging
Blackkonnect SMS
  • Blackkonnnect SMS API
  • Access Token
    • Retrieve access token
      POST
  • Mobile SMS Messaging
    • Send a simple SMS message
      POST
    • Send bulk SMS messages
      POST
    • Get message status
      GET
    • Get message status
      GET
  • Schemas
    • Schemas
      • GenericResponseNetworkOperatorMessageDeliveryDTO
      • NetworkOperatorMessageDeliveryDTO
      • GatewayMessageDeliveryStatusDTO
    • SimpleSmsMessageRequest
    • GenericRequest
    • ItemPagination
    • SimpleSmsMessageResponse
    • BulkSmsMessageRequest
    • DeliveryTime
    • DeliveryWindow
    • MessageDestination
    • SmsMessage
    • BulkSmsMessageResponse
    • MessageGroupStatus
    • SmsMessageDeliveryStatus
    • ProblemDetail
    • GatewayMessageDeliveryStatus
    • TokenRequest
  1. Mobile SMS Messaging

Get message status

Testing Env
https://test.your-api-server.com
Testing Env
https://test.your-api-server.com
GET
/api/sms/messages/status/bulk/{bulkCorrelationId}/v1
Return the status of a message.

Request

Authorization
Path Params

Query Params

Header Params

Responses

🟢200OK
application/json
Message status returned successfully
Body

🟠400Bad Request
🟠401Unauthorized
🔴500Internal Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://test.your-api-server.com/api/sms/messages/status/bulk//v1?page&size&sort' \
--header 'X-ServiceAccount-ID;' \
--header 'X-Organisation-ID;'
Response Response Example
200 - Example 1
[
    {
        "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
        "messageId": "string",
        "bulkReferenceId": "string",
        "partReferenceId": "string",
        "destination": "string",
        "sourceAddress": "string",
        "deliveryStatus": "QUEUED",
        "deliveryTimestamp": "2019-08-24T14:15:22.123Z"
    }
]
Modified at 2026-02-25 02:53:25
Previous
Get message status
Next
GenericResponseNetworkOperatorMessageDeliveryDTO
Built with